FreeMat

- Main Page
- Related Pages

vtkDataSetToPolyDataFilter

Section: Visualization Toolkit Filtering Classes

# Usage

vtkDataSetToPolyDataFilter is an abstract filter class whose subclasses take as input any dataset and generate polygonal data on output.

To create an instance of class vtkDataSetToPolyDataFilter, simply invoke its constructor as follows

      obj = vtkDataSetToPolyDataFilter

# Methods

The class vtkDataSetToPolyDataFilter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkDataSetToPolyDataFilter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkDataSetToPolyDataFilter = obj.NewInstance ()`
- `vtkDataSetToPolyDataFilter = obj.SafeDownCast (vtkObject o)`
- `obj.SetInput (vtkDataSet input)` - Set / get the input data or filter.
- `vtkDataSet = obj.GetInput ()` - Set / get the input data or filter.
- `obj.ComputeInputUpdateExtents (vtkDataObject output)` - Do not let images return more than requested.